Skip to main content
POST
/
memory
/
v1
Add memory
curl --request POST \
  --url https://api.case.dev/memory/v1 \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "messages": [
    {
      "role": "user",
      "content": "<string>"
    }
  ],
  "tag_1": "<string>",
  "tag_2": "<string>",
  "tag_3": "<string>",
  "tag_4": "<string>",
  "tag_5": "<string>",
  "tag_6": "<string>",
  "tag_7": "<string>",
  "tag_8": "<string>",
  "tag_9": "<string>",
  "tag_10": "<string>",
  "tag_11": "<string>",
  "tag_12": "<string>",
  "category": "<string>",
  "metadata": {},
  "infer": true,
  "extraction_prompt": "<string>"
}
'
{
  "results": [
    {
      "id": "<string>",
      "memory": "<string>",
      "event": "ADD"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key starting with sk_case_

Body

application/json
messages
object[]
required

Conversation messages to extract memories from

tag_1
string

Generic indexed filter field 1 (you decide what it means)

tag_2
string

Generic indexed filter field 2

tag_3
string

Generic indexed filter field 3

tag_4
string

Generic indexed filter field 4

tag_5
string

Generic indexed filter field 5

tag_6
string

Generic indexed filter field 6

tag_7
string

Generic indexed filter field 7

tag_8
string

Generic indexed filter field 8

tag_9
string

Generic indexed filter field 9

tag_10
string

Generic indexed filter field 10

tag_11
string

Generic indexed filter field 11

tag_12
string

Generic indexed filter field 12

category
string

Custom category (e.g., "fact", "preference", "deadline")

metadata
object

Additional metadata (not indexed)

infer
boolean
default:true

Whether to extract facts from messages (default: true)

extraction_prompt
string

Optional custom prompt for fact extraction

Response

Memories added successfully

results
object[]